Altibase.jdbc.driver

## Class AltibaseParameterMetaData

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AltibaseParameterMetaData

All Implemented Interfaces:
  java.sql.ParameterMetaData, java.sql.Wrapper

    public class AltibaseParameterMetaData
    extends WrapperAdapter
    implements java.sql.ParameterMetaData

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getParameterClassName(int aParamIndex)`
`int` `getParameterCount()`
`int` `getParameterMode(int aParamIndex)`
`int` `getParameterType(int aParamIndex)`
`java.lang.String` `getParameterTypeName(int aParamIndex)`
`int` `getPrecision(int aParamIndex)`
`int` `getScale(int aParamIndex)`
`int` `isNullable(int aParamIndex)`
`boolean` `isSigned(int aParamIndex)`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getParameterCount

    public int getParameterCount()
                          throws java.sql.SQLException

Specified by:
  `getParameterCount` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterClassName

    public java.lang.String getParameterClassName(int aParamIndex)
                                           throws java.sql.SQLException

Specified by:
  `getParameterClassName` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterMode

    public int getParameterMode(int aParamIndex)
                         throws java.sql.SQLException

Specified by:
  `getParameterMode` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterType

    public int getParameterType(int aParamIndex)
                         throws java.sql.SQLException

Specified by:
  `getParameterType` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterTypeName

    public java.lang.String getParameterTypeName(int aParamIndex)
                                          throws java.sql.SQLException

Specified by:
  `getParameterTypeName` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getPrecision

    public int getPrecision(int aParamIndex)
                     throws java.sql.SQLException

Specified by:
  `getPrecision` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getScale

    public int getScale(int aParamIndex)
                 throws java.sql.SQLException

Specified by:
  `getScale` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### isNullable

    public int isNullable(int aParamIndex)
                   throws java.sql.SQLException

Specified by:
  `isNullable` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### isSigned

    public boolean isSigned(int aParamIndex)
                     throws java.sql.SQLException

Specified by:
  `isSigned` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`